OwnedResourceGroupValue (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.authz.values.OwnedResourceGroupValue class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.authz.values
Class OwnedResourceGroupValue

    java.lang.Object
      org.hyperic.hq.authz.shared.ResourceGroupValue
          org.hyperic.hq.authz.values.OwnedResourceGroupValue

All Implemented Interfaces:
  java.io.Serializable

    public class OwnedResourceGroupValue

extends ResourceGroupValue

See Also:
  Serialized Form

Constructor Summary
`OwnedResourceGroupValue()`
`OwnedResourceGroupValue(ResourceGroupValue parent, AuthzSubject owner)`

Method Summary
`AuthzSubject` | `getOwner()`
`void` | `setOwner(AuthzSubject owner)`

Methods inherited from class org.hyperic.hq.authz.shared.ResourceGroupValue
`clusterIdHasBeenSet, cTimeHasBeenSet, descriptionHasBeenSet, equals, getClusterId, getCTime, getDescription, getGroupEntResType, getGroupEntType, getGroupType, getId, getLocation, getModifiedBy, getMTime, getName, getSortName, getSystem, groupEntResTypeHasBeenSet, groupEntTypeHasBeenSet, groupTypeHasBeenSet, hashCode, hasIdentity, idHasBeenSet, isIdentical, locationHasBeenSet, modifiedByHasBeenSet, mTimeHasBeenSet, nameHasBeenSet, setClusterId, setCTime, setDescription, setGroupEntResType, setGroupEntType, setGroupType, setId, setLocation, setModifiedBy, setMTime, setName, setSortName, setSystem, sortNameHasBeenSet, systemHasBeenSet, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OwnedResourceGroupValue

    public OwnedResourceGroupValue()

### OwnedResourceGroupValue

    public OwnedResourceGroupValue(ResourceGroupValue parent,
                                   AuthzSubject owner)

Method Detail

### getOwner

    public AuthzSubject getOwner()

### setOwner

    public void setOwner(AuthzSubject owner)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.